Subject: Re: bug#51892: 29.0.50; [PATCH] Don't ignore restriction in indent-region-line-by-line

From: <[email-masked]>
Date: Wed, 17 Nov 2021 19:19:10 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> [email-masked] writes:
>
>> Emacs convention is that low-level functions should respect restriction
>> so that their callers can set restriction according to their needs. For
>> example, 'c-indent-region' is a lower-level function which respects the
>> current restriction and 'indent-region' is a higher-level user command
>> which sets the restriction for lower-level functions, it calls
>> "(widen)".
>
> I think that makes sense, so I've pushed this to Emacs 29.  (But I
> renamed dont-widen to inhibit-widen, since I think that's what we're
> calling arguments like this these days.)

Thanks, but maybe you forgot to actually push to origin/master? I
fetched it just now and the last commit touching indent.el was about two
months ago.